If you are using "ecryptfs" with Leap 42.1, I'll suggest that you do not install the kernel update (patch openSUSE-2016-869, which updates to kernel kernel-default-4.1.27.

If you have already installed that update and are having problems with "ecryptfs", then boot to the previous kernel (from the advanced menu option in grub2).

The bug report is here: Bug 989084 The last kernel update broke "ecryptfs"